import { stringToJs } from '../utils';

export default [
  {
    contentType: 'text/html',
    search: '<title>Error 500 Server Error</title>',
    callback: (body) => {
      const jx = stringToJs(body);
      const p = jx.html.body.p._;
      const pre = jx.html.body.pre.join('\n');
      return `Server Error: ${p}${pre}`;
    },
  },
  {
    contentType: 'application/xml',
    search: '<errorMessage><message>',
    callback: (body) => {
      const jx = stringToJs(body);
      const msg = jx.errorMessage.message;
      return `Server Error: ${msg}`;
    },
  },
];

