import { stringToJs } from '../utils';

export default [
  {
    contentType: 'text/html',
    search: '<form action="/portalserver/j_spring_security_check" method="POST"',
    callback: () => 'HTML Error: Invalid Session',
  },
  {
    contentType: 'text/html',
    search: 'class="bd-errorMsg"',
    callback: (body) => {
      const jx = stringToJs(body);
      const p = jx.html.body.div.div.p[1];
      return `HTML Error: ${p._}`;
    },
  },
  {
    contentType: 'application/xml',
    search: '<level>ERROR</level>',
    callback: (body) => {
      const jx = stringToJs(body);
      const msg = jx.import.message;
      return `HTML Error: ${msg}`;
    },
  },
];

